Bug 1149261 - spice-html5 js client is dumb: no error about network connection issue
Summary: spice-html5 js client is dumb: no error about network connection issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: spice-html5
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Michal Skrivanek
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On: 1038632
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-03 15:36 UTC by Michal Skrivanek
Modified: 2016-03-09 19:57 UTC (History)
14 users (show)

Fixed In Version: spice-html5-0.1.6-2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1038632
Environment:
Last Closed: 2016-03-09 19:57:51 UTC
oVirt Team: Virt
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0420 normal SHIPPED_LIVE novnc bug fix and enhancement update 2016-03-10 00:11:05 UTC

Description Michal Skrivanek 2014-10-03 15:36:47 UTC
+++ This bug was initially created as a clone of Bug #1038632 +++


--- Additional comment from Jiri Belka on 2014-09-25 16:32:39 CEST ---

# grep -IR toggleMessage /usr/share/ovirt-engine
/usr/share/ovirt-engine/engine.ear/services.war/spicehtml5-main.html:            function toggleMessages() {
/usr/share/ovirt-engine/engine.ear/services.war/spicehtml5-main.html:            <button type="button" onclick="toggleMessages()">

# rpm -qf /usr/share/ovirt-engine/engine.ear/services.war/spicehtml5-main.html
rhevm-backend-3.5.0-0.13.beta.el6ev.noarch

anyway following error is not enough:

~~~
>> WebSockets.onerror[object Event]

[object Event]
~~~

--- Additional comment from Michal Skrivanek on 2014-09-29 16:31:12 CEST ---

improvement to the message can wait for the next maintenance releases

Comment 2 Frantisek Kobzik 2014-12-10 10:50:28 UTC
pending upstream release of spice-html5

Comment 4 Michal Skrivanek 2015-09-15 14:26:45 UTC
fixed by update to 0.1.6 in bug 1232615

Comment 5 Michal Skrivanek 2015-10-23 06:57:12 UTC
improvement to the error message as per spice-html5-0.1.6-2 release

Comment 6 Ilanit Stein 2015-10-27 08:52:48 UTC
Verified on rhevm 3.6.0-17:

When activating spice-html5 VM console this appears under messages output 
WebSocket error: Can't connect to websocket on URL: wss://<engine fqdn>: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
[object Event]

Comment 7 Ilanit Stein 2015-10-27 10:47:15 UTC
Michal,

If possible,
it would be nice to leave only the first line of the WebSocket error.
(comment added by jbelka).

Thanks,
Ilanit.

Comment 8 Michal Skrivanek 2015-10-27 10:49:50 UTC
if you want to wait another year for that then sure:-) Change would be in upstream code.
do you mean the [object Event] or the long string? that is a single first line:)
Either way I think it's good enough for now...

Comment 10 errata-xmlrpc 2016-03-09 19:57:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0420.html


Note You need to log in before you can comment on or make changes to this bug.